Subject: [Sip] bis-05 mostly NITS - full review

From: [email-masked]
Date: Thu, 15 Nov 2001 08:27:59 -0700

>  The following are largely pure nits.  A few may warrent discussion.  If
> so, please paste text in a separate thread. Thanks!
> 
> 1. Section 3 in the text version (PDF version OK) is missing a space in
> "SHALL NOT".
> 
> 2. Line 394, "through" is misspelled as "thorough".
> 
> 3. Line 406, comma after "model" should be a period.
> 
> 4. Line 442, "put" should be "out".
> 
> 5. Line 463, "is" should be "are".
> 
> 6. Line 477, "messages a server" should be "messages to a server".
> 
> 7. Line 534, "The primarily" should be "They primarily".
> 
> 8. Line 539, I believe "UAC" at the end of the line should be "UA",
> OPTIONS to determine capabilities is not specific to UAC.
> 
> 9. Lines 541-542, "between a two user agents" should be "between two user
> agents".
> 
> 10. Line 543, "both them" should be "both of them".
> 
> 11. Lines 816-817, "semantics of a the message" should be "semantics of a
> message".
> 
> 12. Line 876, "send" should be "sent".
> 
> 13. Line 912, "group together series of" should be "group together a
> series of".
> 
> 14. Line 916, "a a" should be "a".
> 
> 15. Line 1076, "header" should be deleted or the ")" should be after it,
> not before it.
> 
> 16. Line 1078, "a Accept header" should be "an Accept header".
> 
> 17. Lines 1078-1079, "in the event the request contained bodies of types
> not supported by the UAS" should probabally be deleted, since this
> sentence is in the context of a 415 response in which case this is always
> true.  "in the event" caught my eye here.
> 
> 18. Line 1163 "has not yet sent a response" might be better worded "has
> not yet sent a final response", but this it debatable as this is an intro
> paragraph.  Perhaps the same could be said for the previous sentance.
> 
> 19. Line 1206, "final response for original request" should be "final
> response for the original request".
> 
> 20. Section 10.1 of the text version has a space before a comma in three
> places.  PDF version is OK (lines 1218-1220).  Might want to do a global
> search for this, I thought Keith mentioned the same thing in another
> section.
> 
> 21. Line 1509, "The previous section" should be replaced with a link to an
> explicit section, the previous section is options, not UA processing.
> 
> 22. Line 1560, "sequence number sequence number" should be "sequence
> number".
> 
> 23. Line 1616, the following text in the PDF version is missing from the
> txt version: ". The top URI MUST be"
> 
> 24. Line 1622, the following text in the PDF version is missing from the
> txt version: ". One example is a UA that"
> 
> 25. Line 1696, "the UAC needs send an ACK" should be "the UAC needs to
> send an ACK".
> 
> 26. Lines 1729-1733.  This is possibly more of a question on the following
> text:
> 
> The offer indicates the desired communications means (audio, video,
> games), parameters of those means (such as codec types) and addresses for
> receiving media from the offerer. The other UA responds with another
> session description, called the answer, which indicates which
> communications means are accepted, the parameters which apply to those
> means, and addresses for receiving media from the answerer.
> 
>   It seemed "offerer" at the end of the first sentance and "answerer" at
> the end of the next sentence were reversed the way I have typically seen
> SDP sent, where the sender of the SDP is informing the other end what
> address they should send media to.  After some thought, at least for SDP,
> the info could be either way, as the SDP could have an attribute of
> recvonly, sendrecv, or sendonly.  Do these sentences need to be re-worded
> taking this into consideration?
> 
> 27. Line 1746, "construction" should be "constructing".
> 
> 28. Line 1761, "trasaction" should be "transaction".
> 
> 29. Line 1769-1770:
> 
> The early dialog will only be needed if the UAC needs to send a request to
> its peer within the dialog before the initial INVITE transaction
> completes.
> 
>  This confused me at first since the UAS is the one deciding (based on
> what response it sends) to start an early dialog.  After reading it a few
> times I realized what was being said, with CANCEL as an example.  Perhaps
> this would be better worded as something like the following (let me know
> if I'm off track).
> 
> The early dialog will only be needed by the UAC if the UAC needs to send a
> request (such as CANCEL) to its peer within the dialog before the initial
> INVITE transaction completes.
> 
> 30. Line 1786, 'MUST be transitioned to the "established",' should be
> 'MUST be transitioned to "established",'
> 
> 31. Line 1850, the sentence is missing a period.  "the UAS MAY silently
> accept the INVITE" is also not fully clear, I presume this means 2xx, this
> might be worth clarifying.
> 
> 32. Line 1858, section 12.1.0.1 is incorrect, no such section.
> 
> 33. Line 1860, this sentence might need to be reworded a bit when section
> 18 goes in.
> 
> 34. Line 2069, reference to Section 3 is incorrect.  I haven't verified
> all section references, but will note the ones I spotted.  It might be
> worthwhile to search for "Section" and verify the master doc has links to
> section numbers rather than hard text numbers.
> 
> 35. Line 2093, "as only" should be "as the only".
> 
> 36. Line 2097, reference to Section 12 appears to be incorrect.
> 
> 37. Line 2098, reference to Section 6 is incorrect.
> 
> 38. Line 2111, "That next hops" should be "That next hop".
> 
> 39. Line 2124, "depending contents or"  should be "depending on contents
> or the".
> 
> 40. Lines 2191-2192, "The precise format of the branch.token is
> implementation-defined." needs the period in the middle of the sentence
> removed.  This also had an extra space in the txt version.
> 
> 41. Line 2197, "placed in the this part" should be "placed in this part".
> 
> 42. Line 2200, reference to Section 3 is incorrect.
> 
> 43. Line 2216, "server handling them" should be "the server handling
> them".
> 
> 44. Line 2225 has a broken section reference link.
> 
> 45. Line 2227, "independently the" should be "independently. The"
> 
> 46. Line 2321 has a broken section reference link.
> 
> 47. Line 2324 "The response may a candidate" should be "The response may
> be a candidate".
> 
> 48. Line 2328 is missing a period.
> 
> 49. Line 2374, "so for" should be "so far".
> 
> 50. Line 2385, reference to Section 6 is incorrect.
> 
> 51. Line 2411 has a broken section reference link.
> 
> 52. Line 2437, "A stateful proxy may generate a CANCEL to any other
> request it has generated at any time."  Needs to be reworded to conform to
> new wait for 1xx rule, no?
> 
> 53. Line 2529, "past" should be "passed".
> 
> 54. Line 2530, "method the request" should be "method of the request".
> 
> 55. Lines 2548-2549, "The server transaction can send additional 1xx
> responses, which are not transmitted reliably." may need to be reworded
> when section 18 goes in.
> 
> 56. Lines 2562-2564 are missing a space after "SHOULD" three times.
> 
> 57. Line 2567, second "MAY" is missing a space after it.
> 
> 58. Line 2570, '"calling"' should be '"calling" state'.
> 
> 59. Line 2609 is missing a ")".
> 
> 60. Line 2658 missing space after "SHOULD".
> 
> 61. Line 2709, this sentence might need to be reworded a bit when section
> 18 goes in.
> 
> 62. Line 2823, "scooping" should be "scoping".
> 
> 63. Line 2877, forgot to add the received parameter in the example.
> 
> 64. Lines 2927-2928 need some wordsmithing beginning with "not just what
> they have to say", looks like something got deleted, at least a comma.
> 
65. Line 2931, "signaling  it can also" should be "signaling. It can also".

66. Line 2951, capitalize "encryption" at beginning of next sentence.

67. Line 3015, missing ")".

68. Line 3139, "that it is" should be "than it is".

69. Line 3299, what about TLS transport (port 5061)?

70. Line 3309 has a broken section reference link.

71. Line 3391, "thata" should be "that a".

72. Line 3454, might want an [HX.Y] reference rather than just RFC2617 to be
consistent with other references in this section.

73. Line 3473, "Call-ID" is missing a space after it.

74. Line 3496, space missing after period.

75. Line 3515, I believe the word "not" needs to be deleted for the text to
make sense.

76. Line 3726, reference to Section 13 is incorrect.

77. Line 3743, "upported" should be "supported".

78. Line 3749, reference to Section 13 is incorrect.

79. Line 3756, reference to Section 13 is incorrect.

80. Line 3757, reference to Section 22.20 is incorrect.

81. Lines 3766-3767, section 22.30 does not contain a usage example so "a
usage example and" should be deleted.

82. Line 3780, missing space after "branch".

83. Line 3854, "takemore" should be "take more".

84. Lines 3855-3856, this sentence might need to be reworded a bit when
section 18 goes in.

85. Line 3995, reference to Section 3 is incorrect.

86. Line 4095, ". There are two ways to determine the next hop. The" text is
missing from the txt version.

87. Line 4096, "a outbound proxy" should be "an outbound proxy".

Cheers!

John Hearty
Level3

_______________________________________________
Sip mailing list  http://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Tan Ya-Ching ICM N PG U ID A 1 <[email-masked]>
Date: Thu, 15 Nov 2001 17:08:39 +0100

Here's one more :

88. Line 2779, "When TU passes a response to the server, it must inform the
TU...". The 2nd "TU" should be "server".

Ya-Ching Tan